MONGOC_GRIDFS_FILE_WRITEV(3)

NAME
mongoc_gridfs_file_writev - mongoc_gridfs_file_writev()

SYNOPSIS

        ssize_t
        mongoc_gridfs_file_writev (mongoc_gridfs_file_t *file,
                                   const mongoc_iovec_t *iov,
                                   size_t iovcnt,
                                   uint32_t timeout_msec);

PARAMETERS

    •   file: A mongoc_gridfs_file_t.

    •   iov: An array of mongoc_iovec_t.

    •   iovcnt: The number of elements in iov.

    •   timeout_msec: Unused.

DESCRIPTION

Performs a gathered write to the underlying gridfs file.

The timeout_msec parameter is unused.

Modifying GridFS files is NOT thread-safe. Only one thread or process can access a GridFS file while it is being modified.

RETURNS

Returns the number of bytes written, or -1 on failure. Use mongoc_gridfs_file_error to retrieve error details.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc